Update admin privileges for a card admin

Update privileges for an existing card admin.

Retrieve the card_admin_id from GET /api/card-admins/card/:card_id, then submit a replacement privilege object here.

Example:

curl -X PUT "$BASE_URL/api/card-admins/<card_admin_id>" \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '{
    "privilege": {
      "can_update": true,
      "invite_contributors": true,
      "admin_management": false
    }
  }'

Authentication for this endpoint requires this header:

  • Authorization: Bearer <access_token>

Generate the bearer token by:

  1. rotating credentials at POST /account/api-access/credentials/rotate
  2. exchanging them at POST /account/api-access/token
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
privilege
object
required

Updated admin privileges

Response
200
Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here!